3v4l.org

run code in 200+ PHP versions simultaneously
<?php try { echo "Outer try\n"; try { echo " Middle try\n"; throw new Exception(); } finally { echo " Middle finally\n"; try { echo " Inner try\n"; } finally { echo " Inner finally\n"; } } echo "Outer shouldnt get here\n"; } catch (Exception $e) { echo "Outer catch\n"; } finally { echo "Outer finally\n"; }
Output for 5.6.12 - 7.1.12
Outer try Middle try Middle finally Inner try Inner finally Outer catch Outer finally
Output for 5.6.0 - 5.6.11
Outer try Middle try Middle finally Inner try Inner finally Outer shouldnt get here Outer finally
Output for 5.5.16 - 5.5.38
Outer try Middle try Middle finally Inner try Inner finally Outer shouldnt get here Outer finally Fatal error: Uncaught exception 'Exception' in /in/3UF6O:6 Stack trace: #0 {main} thrown in /in/3UF6O on line 6
Process exited with code 255.
Output for 5.5.0 - 5.5.15
Outer try Middle try Middle finally Inner try Inner finally
Process exited with code 137.
Output for 5.4.0 - 5.4.45
Parse error: syntax error, unexpected 'finally' (T_STRING), expecting catch (T_CATCH) in /in/3UF6O on line 7
Process exited with code 255.
Output for 5.3.29
Parse error: syntax error, unexpected T_STRING, expecting T_CATCH in /in/3UF6O on line 7
Process exited with code 255.